Bug Hunting Session
Bug 89261 - Insert fields only possible in edit mode from context menu, not with selection mode on a cell
Summary: Insert fields only possible in edit mode from context menu, not with selectio...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6 all versions
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu Fields
  Show dependency treegraph
 
Reported: 2015-02-09 15:04 UTC by Cor Nouws
Modified: 2017-09-05 18:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-02-09 15:04:03 UTC
Since 3.6. there is in Calc
  Insert fields .. in the context menu, but only in Editing mode.

IMO it would be good to allow the same action when a cell is Selected.

Opinions?
Comment 2 A (Andy) 2015-02-09 15:44:23 UTC
For me this sounds good.  I see no reason why it should not be available at this stage, because probably many users do not know these functions in the Edit Mode or think that such functions could be available in the Edit Mode.  And comments can also be inserted in the context menu.  The current way that is only selectable in the Edit Mode seems for me to be not very intuitive.
Comment 3 Yousuf Philips (jay) (retired) 2015-02-10 22:02:36 UTC
As inserting fields isnt a regularly used function, having it in every selection mode context menu wouldnt be useful IMHO. It would be useful to have those insert field options in the Insert menu, where it is missing.
Comment 4 A (Andy) 2015-02-11 07:56:49 UTC
(In reply to Jay Philips from comment #3)
> As inserting fields isnt a regularly used function, having it in every
> selection mode context menu wouldnt be useful IMHO. It would be useful to
> have those insert field options in the Insert menu, where it is missing.

To insert these fields in the INSERT menu would be a very good and even better solution, because I agree that these inserting fields are not regularly used (not only because maybe many are not aware of them).  Therefore, I would agree to Jay's proposal, that it would be good to add these fields options to the INSERT menu.  Thanks, Jay, for your feedback!

@Cor: What do you think about this?
Comment 5 Robinson Tryon (qubit) 2016-08-25 04:44:50 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2017-08-14 11:58:04 UTC
What is the use case? "...would be good..." is not good. Guess you have consistency and detectability of functions in mind.
What should happen when the field contains data? Guess it should be overridden.
What happens in case of multi selection? Maybe disable the function.
Why is this type of interaction needed anyway since Calc works with functions. For instance it could be =INFO("SheetName").

(OT: Put this onto the agenda for the design meeting.)
Comment 7 Cor Nouws 2017-08-14 12:09:18 UTC
(In reply to A (Andy) from comment #4)
> To insert these fields in the INSERT menu would be a very good and even
> better solution, because I agree that these inserting fields are not
> regularly used (not only because maybe many are not aware of them). 
> Therefore, I would agree to Jay's proposal, that it would be good to add
> these fields options to the INSERT menu.  Thanks, Jay, for your feedback!
> 
> @Cor: What do you think about this?

fine for me too
Comment 8 Heiko Tietze 2017-08-24 15:09:10 UTC
The topic has been discussed in the design meeting with the decision to resolve it as wontfix. One argument is that context menus are cluttered right now. The other issue is the unclear situation when multiple cells are selected. 

Unfortunately we are restricted to ODF and cannot introduce the "=INFO()" solution.
Comment 9 Yousuf Philips (jay) (retired) 2017-09-05 18:30:58 UTC
Insert fields added to Insert menu
https://gerrit.libreoffice.org/#/c/41953/